// TOTAL PARA LA CONFIGURACION SE SERVICIOS PUBLICOS
// Obtiene los elementos input por su ID
const imp_predial = document.getElementById('imp_predial');
const vigilancia = document.getElementById('vigilancia');
const aln = document.getElementById('aln');
const claro = document.getElementById('claro');
const luz = document.getElementById('luz');
const totalInput = document.getElementById('total');

// Agrega un evento de input a cada campo
imp_predial.addEventListener('input', calcularTotal);
vigilancia.addEventListener('input', calcularTotal);
aln.addEventListener('input', calcularTotal);
claro.addEventListener('input', calcularTotal);
luz.addEventListener('input', calcularTotal);


// Función para calcular el total y mostrarlo en el campo Total
function calcularTotal() {
    const valimp_predial = parseFloat(imp_predial.value) || 0; // Convierte a número o asigna 0 si no es válido
    const valvigilancia = parseFloat(vigilancia.value) || 0;
    const valaln = parseFloat(aln.value) || 0;
    const valclaro = parseFloat(claro.value) || 0;
    const valluz = parseFloat(luz.value) || 0;
    const total = valimp_predial/10 + valvigilancia/10 + valaln/10 + valclaro + valluz/10;

    totalInput.value = total.toFixed(2); // Muestra el total con 2 decimales
}